Несколько уязвимостей в PHP infoBoard

Дата публикации:
03.10.2008
Всего просмотров:
2667
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2008-4332
CVE-2008-4333
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
PHP infoBoard 7.x
Уязвимые версии: PHP infoBoard 7 Plus, возможно более ранние версии

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение и выполнить произвольные SQL команды в базе данных приложения.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "isname" в сценарии index.php, когда параметр "action" равен "newtopic". Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта. Для успешной эксплуатации уязвимости целевой пользователь не должен быть авторизован в приложении.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "idcat" в сценарии showtopic.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения. Для успешной эксплуатации уязвимости опция "magic_quotes_gpc" должна быть отключена в конфигурационном файле PHP и атакущий должен знать префикс таблиц.

URL производителя: cannot.info/phpinfoboard

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: http://milw0rm.com/exploits/6566

или введите имя

CAPTCHA